From 7e3e327c966a6112cb30da72892042d7a03ffdc8 Mon Sep 17 00:00:00 2001
From: andrum99 <97977513+andrum99@users.noreply.github.com>
Date: Sun, 24 Apr 2022 17:23:23 +0100
Subject: [PATCH] overlays: Add "drm" parameter to pitft28-resistive

Add "drm" parameter to the pitft28-resistive, forcing use of the
mi0283qt DRM driver.
---
 arch/arm/boot/dts/overlays/README                        | 4 ++++
 arch/arm/boot/dts/overlays/pitft28-resistive-overlay.dts | 3 ++-
 2 files changed, 6 insertions(+), 1 deletion(-)

--- a/arch/arm/boot/dts/overlays/README
+++ b/arch/arm/boot/dts/overlays/README
@@ -2785,6 +2785,10 @@ Params: speed                   Display
 
         debug                   Debug output level {0-7}
 
+        drm                     Force the use of the mi0283qt DRM driver (by
+                                default the ili9340 framebuffer driver will
+                                be used in preference if available)
+
 
 Name:   pitft35-resistive
 Info:   Adafruit PiTFT 3.5" resistive touch screen
--- a/arch/arm/boot/dts/overlays/pitft28-resistive-overlay.dts
+++ b/arch/arm/boot/dts/overlays/pitft28-resistive-overlay.dts
@@ -49,7 +49,7 @@
 			#size-cells = <0>;
 
 			pitft: pitft@0{
-				compatible = "ilitek,ili9340";
+				compatible = "ilitek,ili9340", "multi-inno,mi0283qt";
 				reg = <0>;
 				pinctrl-names = "default";
 				pinctrl-0 = <&pitft_pins>;
@@ -115,5 +115,6 @@
 		rotate =  <&pitft>,"rotate:0";
 		fps =     <&pitft>,"fps:0";
 		debug =   <&pitft>,"debug:0";
+		drm =     <&pitft>,"compatible=multi-inno,mi0283qt";
 	};
 };
